#ifndef XTFLIB_H
#define XTFLIB_H

/*
 * No description
 */

#define export extern "C" __declspec(dllexport) __cdecl

export void xtflib_Close();

/* Document */
export long xtflib_Create();
export long xtflib_Load(const char*, long size = 0);

/* Tag */
export long xtflib_GetCollection(long document, long handle);
export bool xtflib_SetValue(long document, long handle, const char * value, long size);
export long xtflib_GetValue(long document, long handle, char * value, long size);
export bool xtflib_SetName(long document, long handle, const char * name, int length);
export int  xtflib_GetName(long document, long handle, char * name);

/* Collection */
export long xtflib_AddTag(long document, long handle, const char * name, int length, bool isLeaf);
export long xtflib_GetTags(long document, long handle, long * tags, long size);
export long xtflib_GetTagsByName(long document, long handle, const char * name, int length, long * tags, long size);
export long xtflib_GetTagByName(long document, long handle, const char * name, int length);

#endif
